<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('benefit_types', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('code', 20)->nullable();
            $table->string('name', 100);
            $table->string('benefit_sub_category_id', 100);
            $table->boolean('basic')->default(true)->index();
            $table->boolean('fixed_amount')->default(false)->index();
            $table->string('amount')->nullable();
            $table->boolean('taxable')->default(false)->index();
            $table->string('basis', 25);
            $table->string('frequency', 25);
            $table->string('add_less', 25);
            $table->text('description')->nullable();
            $table->boolean('enabled')->default(true)->index();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('benefit_types');
    }
};
